mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.FormatException System.Runtime.InteropServices.ComVisible(true)

CustomAttributeFormatException uses the HRESULT COR_E_FORMAT which has the value 0x80131537.

CustomAttributeFormatException is thrown if a custom attribute on a data type is formatted incorrectly, possibly because of a bug in the tool used to create the data type.

The exception that is thrown when the binary format of a custom attribute is invalid.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0

  This constructor initializes an instance of CustomAttributeFormatException with an empty message string and the root cause exception set to null.

  This constructor sets the properties of the Exception object as follows:

  Property

  Value

  null

  The empty string ("").

  Initializes a new instance of the class with the default properties.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0

  This constructor sets the properties of the Exception object as follows:

  Property

  Value

  null

  Initializes a new instance of the class with the specified message.

  The message that indicates the reason this exception was thrown.
- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  To be added

  Initializes a new instance of the class with the specified serialization and context information.

  The data for serializing or deserializing the custom attribute.
  The source and destination for the custom attribute.
- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0

  An exception that is thrown as a direct result of a previous exception should include a reference to the previous exception in the property. The property returns the same value that is passed into the constructor, or null if the property does not supply the inner exception value to the constructor.

  The following table shows the initial property values for an instance of .

  Property

  Value

  The exception.

  The error message string.

  Initializes a new instance of the class with a specified error message and a reference to the inner exception that is the cause of this exception.

  The error message that explains the reason for the exception.
  The exception that is the cause of the current exception. If the parameter is not null, the current exception is raised in a catch block that handles the inner exception.